<script setup lang="ts">
import { ref } from 'vue'
import { useBillStore } from '../stores/bill'
import { monthsWithNum } from '@/utils/date'

const billStore = useBillStore()
const billType = ref<string>('')
const targetMonth = ref<number>(1)
const items = ['ค่าน้ำ', 'ค่าไฟ', 'replenishment']
const targetYear = ref<number>(2024)
</script>

<template>
  <v-dialog v-model:model-value="billStore.Dialogcheck" style="width: 800px">
    <v-card class="pa-5" title="ดูบิลบ์ค่าน้ำหรือค่าไฟ">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col>
              <v-select
                variant="outlined"
                rounded="lg"
                density="compact"
                label="Name"
                :items="items"
                v-model="billType"
                clearable
              >
              </v-select>
            </v-col>
            <v-col>
              <v-select
                variant="outlined"
                rounded="lg"
                density="compact"
                label="Month"
                :items="monthsWithNum"
                item-title="label"
                item-value="number"
                @update:model-value="(v) => (targetMonth = v ?? 0)"
                clearable
              >
              </v-select>
            </v-col>
            <v-col>
              <v-select
                variant="outlined"
                rounded="lg"
                density="compact"
                label="Year"
                :items="[2023, 2024]"
                @update:model-value="(v) => (targetYear = v ?? 0)"
                clearable
              >
              </v-select>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="billStore.closeDialogCheck()"> Cancel </v-btn>
          <v-btn
            @click="billStore.getSumBill(billType, targetMonth, targetYear)"
          >
            OK
          </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>
